POST /v1/auth/login/mfa/webauthn/begin

POST /v1/auth/login/mfa/webauthn/begin — challenge-token authenticated. Returns the RequestChallengeResponse for navigator.credentials.get.

Tags: auth

Request body

Required.

JSON
{
  "$ref": "#/components/schemas/WebauthnAuthBeginRequest"
}

Responses

200

JSON
{
  "$ref": "#/components/schemas/WebauthnAuthBeginResponse"
}

401 — INVALID_CHALLENGE

Code samples

TypeScript

TypeScript
import { firecase } from "@firecase/sdk";

const result = await firecase.post("/auth/login/mfa/webauthn/begin", { /* body */ });
console.log(result);

Python

Python
import firecase

result = firecase.post("/auth/login/mfa/webauthn/begin", json={})
print(result)

curl

Bash
curl -X POST https://api.firecase.ai/v1/auth/login/mfa/webauthn/begin \
  -H "Authorization: Bearer $FIRECASE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'